/*
 * Action.java
 *
 * Created on 7 marzo 2004, 20.21
 */

package qms.queue.actions;
import qms.group.Node;
/**
 * Descrive un'azione da portare a termine
 * @author  Enrico
 */
public interface Action {
    
    /**
     * Indica se l'azione è terminata
     */
    public boolean isFinished();
    
    /**
     * Da un po' di "vita" alla azione, in modo che possa proseguire
     */
    public void runStep();
    /**
     * Invocato quando un nodo viene eliminato dal gruppo, perciò bisognerà prendere delle contro-misure
     */
    public void notifyNodeRemoved(Node n);
}
